Skip to main content

options

Description

Optional. Specifies a set of options for DropDown Menu

Usage

options?: {
id?: string | number;
text?: string;
subtext?: string;
handler?: (ev: IMenuOptionClick) => void;
data?: IMenuOption[];
css?: string;
disabled?: boolean;
icon?: string;
type?: string | React.ComponentType<any>; // @deprecated use `comp` instead. Will be removed in v3.0
comp?: string | React.ComponentType<any>;
}[];

Parameters

A menu item object in the options array may contain a set of properties. The list of available properties is given below:

  • id - (optional) the id of a menu item
  • text - (optional) the text of a menu item
  • subtext - (optional) a dimmed text displayed to the right of the main item's text, such as a hot key or other additional info
  • icon - (optional) the name of an icon displayed before the text. It renders an <i className={item.icon}> element, so any icons with the wxi- prefix can be used here, e.g. ".wxi-plus" or any custom icons defined on the page. Read more about the usage of icons
  • css - (optional) the name of a CSS class that will be applied to an item
  • disabled - (optional) disables a menu option (false by default)
  • type - (optional) the type of an item. It can be a predefined string such as "separator" or a custom React component to render a menu item in place of the default renderer. Will be removed in v3.0 so use comp instead
  • data - (optional) an array of sub items for a menu item. Used to create a tree-like menu structure; the same as options
  • handler - (optional) a click handler function for the menu item. It receives an object with the parameters described here: onclick
  • comp - (optional) the component used to render the menu item. It can be the name of a built-in component (string) or a custom React component reference

Example

const options = [
{ id: "add-task:child", text: "Child task" },
{ id: "add-task:above", text: "Task above" },
{ id: "add-task:below", text: "Task below" },
];

function App() {
return (
<DropDownMenu options={options}>
<Button type="primary">Click me</Button>
</DropDownMenu>
);
}

Related article: Loading options

Related sample: Drop-down menu

Skip to main content

options

Description

Optional. Specifies a set of options for DropDown Menu

Usage

options?: {
id?: string | number;
text?: string;
subtext?: string;
handler?: (ev: IMenuOptionClick) => void;
data?: IMenuOption[];
css?: string;
disabled?: boolean;
icon?: string;
type?: string | Component<any>; // @deprecated use `comp` instead. Will be removed in v3.0
comp?: string | Component<any>;
}[];

Parameters

A menu item object in the options array may contain a set of properties. The list of available properties is given below:

  • id - (optional) the id of a menu item
  • text - (optional) the text of a menu item
  • subtext - (optional) a dimmed text displayed to the right of the main item's text, such as a hot key or other additional info
  • icon - (optional) the name of an icon displayed before the text. It converts to adding <i class={item.icon}>, so any icons with the wxi- prefix can be used here, e.g ".wxi-plus" or any customer icons defined on the page. Read more about the usage of icons
  • css- (optional) the name of a CSS class that will be applied to an item
  • disabled - (optional) disables a menu option (false by default)
  • type - (optional) the type of an item. It can be a predefined string such as "separator" or a custom Vue component to render a menu item in place of the default renderer. Will be removed in SVAR 3.0 so use comp instead
  • data - (optional) an array of sub items for a menu item. Used to create a tree-like menu structure; the same as options
  • handler - (optional) a click handler function for the menu item. It receives an object with the parameters described here: onclick
  • comp - (optional) the component used to render the menu item. It can be the name of a built-in component (string) or a custom Vue component reference

Example

<script setup>
const options = [
{ id: "add-task:child", text: "Child task" },
{ id: "add-task:above", text: "Task above" },
{ id: "add-task:below", text: "Task below" },
];
</script>

<template>
<DropDownMenu :options="options">
<Button type="primary">Click me</Button>
</DropDownMenu>
</template>

Related article: Loading options

Related sample: Drop-down menu